다른 SSO 연결에서 이미 사용 중인 도메인

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 이 오류의 type는 https://lingo.dev/docs/api/errors/sso-domain-taken입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

example.com 도메인은 다른 SSO 연결에서 이미 사용 중입니다. 도메인을 이동하려면 Lingo.dev 지원팀에 문의하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 원하는 문구로 바꿔 표시할 수 있습니다.

필드유형
domainstring

예시#

json
{
  "detail": "Domain example.com already taken by another SSO connection. Contact Lingo.dev support to move it.",
  "domain": "example.com",
  "type": "https://lingo.dev/docs/api/errors/sso-domain-taken",
  "status": 409,
  "title": "Domain taken by another SSO connection"
}

이 오류를 반환하는 엔드포인트#

  • PUT /v2/organizations/{orgId}/sso